require 'spec_helper'

describe 'ApiKeyGenerator#generate' do

  before(:each) do
    DaphneUtil.salt = 'hello'
    @seed = Digest::MD5.hexdigest(rand(9999).to_s)
  end

  it "should generate a secret string" do
    DaphneUtil::ApiKeyGenerator.generate(@seed).should be_a(String)
  end

  it "should be consistent" do
    DaphneUtil::ApiKeyGenerator.generate(@seed).should eq(DaphneUtil::ApiKeyGenerator.generate(@seed))
  end

  it "should have the correct structure" do
    DaphneUtil::ApiKeyGenerator.generate(@seed).should match  /^[A-Za-z]\w*-key-[\da-f]{64}$/
  end

end