require 'spec_helper'

describe 'DaphneUtil#generate_id' do

  before(:each) do
    DaphneUtil.salt = 'hello'
    @seed = Digest::MD5.hexdigest(rand(9999).to_s)
  end

  it "should generate a id string" do
    DaphneUtil.generate_id(@seed).should be_a(String)
  end

  it "should be consistent" do
    DaphneUtil.generate_id(@seed).should eq(DaphneUtil.generate_id(@seed))
  end

  it "should have the correct structure" do
    DaphneUtil.generate_id(@seed).should match /^application-[\da-f]{8}-[\da-f]{4}-[\da-f]{4}-[\da-f]{4}-[\da-f]{12}$/
  end

  it "should generate a secret string" do
    DaphneUtil.generate_secret(@seed).should be_a(String)
  end

  it "should be consistent" do
    DaphneUtil.generate_secret(@seed).should eq(DaphneUtil.generate_secret(@seed))
  end

  it "should have the correct structure" do
    DaphneUtil.generate_secret(@seed).should match /^[\da-f]{64}$/
  end

end