require 'spec_helper'

describe 'IdGenerator#generate' do

  before(:each) do
    DaphneUtil.salt = 'hello'
    @seed = Digest::MD5.hexdigest(rand(9999).to_s)
  end

  it "should generate a id string" do
    DaphneUtil::IdGenerator.generate(@seed).should be_a(String)
  end

  it "should be consistent" do
    DaphneUtil::IdGenerator.generate(@seed).should eq(DaphneUtil::IdGenerator.generate(@seed))
  end

  it "should have the correct structure" do
    DaphneUtil::IdGenerator.generate(@seed).should match /^application-[\da-f]{8}-[\da-f]{4}-[\da-f]{4}-[\da-f]{4}-[\da-f]{12}$/
  end

end