require 'spec_helper'

describe 'SecretGenerator#generate' do

  before(:each) do
    DaphneUtil.salt = 'hello'
    @seed = Digest::MD5.hexdigest(rand(9999).to_s)
  end

  it "should generate a secret string" do
    DaphneUtil::SecretGenerator.generate(@seed).should be_a(String)
  end

  it "should be consistent" do
    DaphneUtil::SecretGenerator.generate(@seed).should eq(DaphneUtil::SecretGenerator.generate(@seed))
  end

  it "should have the correct structure" do
    DaphneUtil::SecretGenerator.generate(@seed).should match /^[\da-f]{64}$/
  end

end